Summary:	MySQL NSS plugin
Name:		nss-mysql
Version:	1.0
Release:	%mkrel 6
URL:		http://www.nongnu.org/nss-mysql/
Group:		System/Libraries
License:	GPLv2+
Source0:	http://savannah.nongnu.org/download/nss-mysql/nss-mysql-%{version}.tar.gz
Source1:	http://savannah.nongnu.org/download/nss-mysql/nss-mysql-%{version}.tar.gz.sig
Patch0:		nss-mysql-build_against_the_shared_mysql_lib.diff
BuildRequires:	mysql-devel
BuildRequires:	libtool
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
NSS-MySQL allows you to authenticate UNIX groups and users using a MySQL
database. It uses the NSS API which provides an abstraction layer between the
UNIX authentication API and the related data. NSS-MySQL currently supports the
passwd, groups and shadow services. NSS-MySQL is highly configurable and
should work with most reasonable database designs.

%prep

%setup -q
%patch0 -p0

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" acinclude.m4

%build
rm -f configure
libtoolize --copy --force; aclocal; autoconf

%configure2_5x \
    --enable-group \
    --enable-debug \
    --enable-shadow \
    --with-mysql=%{_prefix}                                              

%make

%install
rm -rf %{buildroot}

%makeinstall_std

install -d %{buildroot}/%{_lib}
mv %{buildroot}%{_libdir}/lib* %{buildroot}/%{_lib}/

# cleanup
rm -f %{buildroot}/%{_lib}/lib*.so
rm -f %{buildroot}/%{_lib}/lib*.*a

%if %mdkversion < 200900
%post -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README SHADOW THANKS TODO UPGRADE sample.sql
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/nss-mysql.conf
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/nss-mysql-root.conf
%attr(0755,root,root) /%{_lib}/libnss_mysql.so.*


%changelog
* Thu Feb 18 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0-6mdv2010.1
+ Revision: 507523
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Mon Dec 08 2008 Funda Wang <fwang@mandriva.org> 1.0-4mdv2009.1
+ Revision: 311714
- clearify license

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0-3mdv2009.0
+ Revision: 268299
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed May 28 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0-2mdv2009.0
+ Revision: 212683
- put the lib in /%%{_lib}/ instead

* Wed May 28 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0-1mdv2009.0
+ Revision: 212471
- import nss-mysql


* Wed May 28 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0-1mdv2009.0
- initial Mandriva package
